]> git.lyx.org Git - lyx.git/blobdiff - development/tools/lyx-build
Add some localized (Russian) cliparts, by Yuriy
[lyx.git] / development / tools / lyx-build
index 3b064c23905f69335fb95c6c6bdea46355ea9dae..e78eaa7502c8d8c0fb336f07008b34d3d5ecd8ac 100755 (executable)
@@ -42,7 +42,7 @@ mkdir $BASE/lyx-build/
 cd $BASE/lyx-build/
 
 echo "Building distribution...";
-$BASE/lyx-export/configure --enable-build-type=rel
+$BASE/lyx-export/configure --enable-build-type=rel --enable-qt5
 if ! make lyxdist; then
   echo "Couldn't make distribution!";
   exit 1;
@@ -72,7 +72,7 @@ if ! cd lyx-$VERSION; then
   exit 1;
 fi
 
-./configure --enable-build-type=rel
+./configure --enable-build-type=rel --enable-qt5
 
 if make $MAKEOPTS; then
   echo "Compilation complete.";
@@ -105,6 +105,13 @@ if [ ! -d "$BASE/lyx-patch/lyx-$LAST" ]; then
     echo "Will try to download from LyX site....";
     pushd $BASE/lyx-patch/;
     wget ftp://ftp.lyx.org/pub/lyx/stable/${FIRST}x/lyx-$LAST.tar.gz;
+    wget ftp://ftp.lyx.org/pub/lyx/stable/${FIRST}x/lyx-$LAST.tar.gz.sig
+    gpg -q --verify lyx-$LAST.tar.gz.sig
+    if ! [ $? == 0 ]; then
+      echo "Signature wrong!"
+      exit 1;
+    fi
+    rm lyx-$LAST.tar.gz.sig
     tar -zxvf lyx-$LAST.tar.gz;
     if [ ! -f lyx-$LAST.tar.gz ]; then
       echo "Still unable to find directory for last version $LAST.";